Summary: A tetris clone for Linux that uses the SDL.
Name: ltris
Version: 010310
Release: fr1
Serial: 0
Copyright: GPL
Group: Amusements/Games
Source: %{name}-%{version}.tar.bz2
Patch: %{name}-%{version}-compilefix.patch
URL: http://lgames.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-root
Requires: SDL >= 1.1.4

%description
A tetris clone game for Linux that uses the SDL.
No need to say much more :-)

%prep
%setup -q
%patch -p1

%build
%configure
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_localstatedir}/lib/games
%makeinstall sdir=%{buildroot}%{_datadir}/games/%{name} \
  hdir=%{buildroot}%{_localstatedir}/lib/games/%{name}
mkdir -p %{buildroot}%{_sysconfdir}/X11/applnk/Games
cat > %{buildroot}%{_sysconfdir}/X11/applnk/Games/%{name}.desktop << EOF
[Desktop Entry]
Name=LTris
Comment=A Tetris clone for Linux
Exec=%{name}
Icon=
Terminal=0
Type=Application
EOF

%clean
#rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README TODO
%{_sysconfdir}/X11/applnk/Games/%{name}.desktop
%attr(2551, root, games) %{_bindir}/%{name}
%{_datadir}/games/%{name}
%dir %{_localstatedir}/lib/games/%{name}
%config(noreplace) %attr(664, games, games) %{_localstatedir}/lib/games/%{name}/highscore.*

%changelog
* Tue Apr 24 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat 7.1.

* Tue Mar 13 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 010310.

* Tue Jan  2 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RPM release for RedHat 7.0

